您好,欢迎来到我要学flash网!登录注册

针对ie写hack推荐使用条件注释

来源:我要学flash网 | 作者:admin | 发表时间:2012-03-03 | 点击:  次

条件注释是IE特有的一种功能,能对IE系列产品进行单独的XHTML代码处理,注意,主要是针对XHTML,而非CSS。

条件注释功能非常强大,可以进行true和false判断,例如:

程序代码

  1. <!--[if IE]>此内容只有IE可见<![endif]-->
  2. <!--[if IE 6.0]>此内容只有IE6.0可见<![endif]--> 

 

条件注释能被IE判断是什么版本的浏览器,并在符合条件的情况下显示其中的内容,从IE5.0到7.0都支持注释功能,而且版本号精确到小数点后4位:

程序代码

  1. <!--[if IE 6.1000]>此内容只有IE6.1可见<![endif]--> 

IE条件注释还支持感叹号非操作:

程序代码

  1. <!--[if !IE 6.0]>此内容除了IE6.0版本之外都可见<![endif]--> 

并且支持前缀,用于判断更高版本或是更低版本:

程序代码

  1. <!--[if gt IE 5.0]>此内容只有IE5.0以上版本可见<![endif]-->  

这里的gt全称为greater than表示当前条件版本以上版本,但不包含当前版本。

还有其它几个前缀:

lt 表示less than 当前条件版本以下的版本,不包含当前版本。

gte 表示greeter than or equal 当前版本以上版本,并包含当前版本。

lte 表示less than or equal 当前版本以下版本,并包含当前版本。


顶一下
(0)
0%
踩一下
(0)
0%
本文引用地址:
  最新评论: 共有位网友发表了评论
  发表评论:
请自觉遵守互联网相关的政策法规,严禁发布色情、暴力、反动的言论。
评价:
表情:
用户名: 密码: 验证码: